#!/bin/sh


if [ -z ${SYNC4J_HOME} ]; then
    if [ -f bin/emailgateway.sh ]; then
         SYNC4J_HOME=$PWD
    else
         echo "ERROR: SYNC4J_HOME is not set and cannot be determined."
         echo "       please start this script from the Sync4j Server home ."
         exit
    fi
fi

if [ -z ${JAVA_HOME} ]; then
    JAVA_EXEC=java
else 
    JAVA_EXEC=${JAVA_HOME}/bin/java
fi

SYNC4J_EXT=`ls -1 lib/sync4j-ext-*.jar|head -1`

JAVA_OPTS="-Dsync4j.home=${SYNC4J_HOME}"
JAVA_JARS="-classpath default/lib/sync4j-framework.jar:default/lib/sync4j-server.jar:lib/emailgateway-1.0.6.jar:$SYNC4J_EXT"

case $1 in 
start)
    #
    # Run EmailGateWay
    #
    $JAVA_EXEC $JAVA_OPTS $JAVA_JARS sync4j.emailgateway.EmailGateway > /dev/null 2>&1 &
    ;;
stop)
    #
    # Shutdown EmailGateWay
    #
    $JAVA_EXEC $JAVA_OPTS $JAVA_JARS sync4j.emailgateway.utils.AdminShutdown 2>/dev/null

    ;;
graceful)
    #
    # Graceful Shutdown EmailGateWay
    #
    $JAVA_EXEC $JAVA_OPTS $JAVA_JARS sync4j.emailgateway.utils.AdminGraceful 2>/dev/null

    ;;
list)
    #
    # List EmailGateWay
    #
    $JAVA_EXEC $JAVA_OPTS $JAVA_JARS sync4j.emailgateway.utils.AdminList  2>/dev/null

    ;;
*)
    echo "usage: $0 [start|stop|graceful|list]"
    ;;
esac

