#!/bin/sh

if [ ! -f bin/start.sh ]; then
    echo "Please start this script from the SyncServer home directory."
    exit;
else
    SYNC4J_HOME=$PWD
fi

#
# Set environment before running this script.
# set JAVA_HOME to the path where you have Java 2 installed.
# set J2EE_HOME to the path where you have installed this package (EJB server).
#
if [ -f bin/sync4j-env.sh ]; then
     . bin/sync4j-env.sh
fi

if [ -z $JAVA_HOME ]
then
    echo "Please, set JAVA_HOME before running this script."
    exit;
fi

if [ -z $J2EE_HOME ]
then
    echo "Please, set J2EE_HOME before running this script."
    exit;
fi

#
# Check if the emailgateway is there and start it.
#
if [ -f bin/emailgateway.sh ]; then
     bin/emailgateway.sh start
fi

#
# Common settings
#
export LANG=en_US.UTF-8

JAVA_OPTS="-Djava.security.auth.login.config=$J2EE_HOME$/conf/serverlogin.config -Dsync4j.home=$SYNC4J_HOME"
export JAVA_OPTS

cd $J2EE_HOME/bin

case $1 in 
debug)
    #
    # This is for debug. Use the debug starting command line below
    #
    export JPDA_OPTS="-Xdebug -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n"
    #
    # Run Tomcat for debug
    #
    ./catalina.sh jpda start
    ;;
*)
    #
    # Run Tomcat for normal use
    #
    ./catalina.sh start
    ;;
esac
